///
///author: linkcd
///date: 2005-08-30
///

using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace Server.DB
{
	class DBHelper
	{
		private SqlConnection GetConnection()
		{
			return new SqlConnection(@"user id=sa;password=???;initial catalog=VSLiveSF2003;data source=127.0.0.1");
		}

		private SqlCommand GetCommand(int id, string spName)
		{
			SqlCommand cmd = new SqlCommand(spName, this.GetConnection());
			cmd.CommandType = CommandType.StoredProcedure;

			IDataParameter pId = new SqlParameter("@id", SqlDbType.Int);
			pId.Value = id;

			cmd.Parameters.Add(pId);
			
			return cmd;
		}

		public SqlCommand GetFetchOrderCommand(int id)
		{
			return this.GetCommand(id, "Order_Fetch");
		}

		public SqlCommand GetFetchLinesCommand(int id, int countOfRecords)
		{
			SqlCommand cmd = this.GetCommand(id, "Order_FetchLines");

			//set row count 
			IDataParameter pCount = new SqlParameter("@count", SqlDbType.Int);
			pCount.Value = countOfRecords;
			cmd.Parameters.Add(pCount);

			return cmd;
		}

		public SqlCommand GetFetchOrderAndLinesCommand(int id, int countOfRecords)
		{
			SqlCommand cmd = this.GetCommand(id, "Order_FetchWithLines");
			
			//set row count 
			IDataParameter pCount = new SqlParameter("@count", SqlDbType.Int);
			pCount.Value = countOfRecords;
			cmd.Parameters.Add(pCount);

			return cmd;
		} 

	}
}
