///
///author: linkcd
///date: 2005-08-30
///

using System;
using System.Collections.Generic;
using System.Text;

using System.Threading;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace Server
{
	class Host
	{
		static public void Main()
		{
			//register channel
			IChannel theTcpChannel = new TcpChannel(8005);
			ChannelServices.RegisterChannel(theTcpChannel);
			Console.WriteLine("Channel registered...");

			RemotingConfiguration.ApplicationName = "DatasetTestHost";

			//register server types
			Type typeOfDatasetServer = typeof(DatasetServer);
			Type typeOfCustomClassServer = typeof(CustomClassServer);

			RemotingConfiguration.RegisterActivatedServiceType(typeOfDatasetServer);
			RemotingConfiguration.RegisterActivatedServiceType(typeOfCustomClassServer);
			Console.WriteLine("Classes registered...");

			Thread.Sleep(Timeout.Infinite);
		}
	}
}
