///
///author: linkcd
///date: 2005-08-30
///

using System;
using System.Collections.Generic;
using System.Text;

namespace Server
{
	public interface IRemotingServer
	{
		/// <summary>
		/// fetch only one order record
		/// </summary>
		/// <param name="id"></param>
		/// <returns></returns>
		object FetchOrder(int id);

		/// <summary>
		/// fetch many order lines
		/// </summary>
		/// <param name="id"></param>
		/// <param name="countOfRecords"></param>
		/// <returns></returns>
		object FetchOrderLines(int id, int countOfRecords);
		
		/// <summary>
		/// fecth one order record and many order lines
		/// </summary>
		/// <param name="id"></param>
		/// <param name="countOfRecords"></param>
		/// <returns></returns>
		object FetchOrderAndLines(int id, int countOfRecords);
	}
}
